Bug 580849

Summary: Review Request: mktorrent - Command line utility to create BitTorrent metainfo files
Product: [Fedora] Fedora Reporter: Steve Traylen <steve.traylen>
Component: Package ReviewAssignee: Terje Røsten <terjeros>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, pahan, supercyper1, terjeros
Target Milestone: ---Flags: terjeros: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mktorrent-1.0-4.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-11 19:39:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Steve Traylen 2010-04-09 08:59:08 UTC
Spec URL: http://cern.ch/straylen/rpms/mktorrent/mktorrent.spec
SRPM URL: http://cern.ch/straylen/rpms/mktorrent/mktorrent-1.0-2.fc14.src.rpm
Description: 
Command line utility to create BitTorrent metainfo files.

Comment 1 Terje Røsten 2010-04-09 12:05:28 UTC
o Mixing of %{foo} $FOO style macros: use $RPM_OPT_FLAGS and $RPM_BUILD_ROOT or %{optflags} and %{buildroot}

o PREFIX=$RPM_BUILD_ROOT%{_usr} you might want to change to PREFIX=$RPM_BUILD_ROOT%{_prefix}


o Remove empty lines in %description, add empty line between changelog entries.


o is USE_LARGE_FILES=1 needed on 32 bits?

Comment 3 Terje Røsten 2010-04-21 17:10:32 UTC
ok rpmlint
ok spec file
ok perms, dirs and owns
ok license is valid and tag is correct (all files have headers)
ok tarball
    f9b1bbf9d19911b6c8994dbec6208530c7d929ad  mktorrent-1.0.tar.gz
    f9b1bbf9d19911b6c8994dbec6208530c7d929ad  mktorrent-1.0.tar.gz.1
ok koji
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2130674

All comments in comments are fixed.

 The package mktorrent is APPROVED.

Comment 4 Steve Traylen 2010-04-21 17:23:15 UTC
Thanks for the review.

New Package CVS Request
=======================
Package Name: mktorrent
Short Description: Command line utility to create BitTorrent
Owners: stevetraylen
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC: baz

Comment 5 Kevin Fenzi 2010-04-24 00:44:40 UTC
cvs done, with the exception of the InitialCC. There doesn't seem to be a 'baz' fedora account.

Comment 6 Fedora Update System 2010-04-24 06:13:28 UTC
mktorrent-1.0-4.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/mktorrent-1.0-4.el4

Comment 7 Fedora Update System 2010-04-24 06:13:56 UTC
mktorrent-1.0-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mktorrent-1.0-4.el5

Comment 8 Fedora Update System 2010-04-24 06:14:23 UTC
mktorrent-1.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mktorrent-1.0-4.fc11

Comment 9 Fedora Update System 2010-04-24 06:14:51 UTC
mktorrent-1.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mktorrent-1.0-4.fc12

Comment 10 Fedora Update System 2010-04-24 06:15:16 UTC
mktorrent-1.0-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mktorrent-1.0-4.fc13

Comment 11 Fedora Update System 2010-04-25 13:54:34 UTC
mktorrent-1.0-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mktorrent'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mktorrent-1.0-4.fc13

Comment 12 Fedora Update System 2010-04-26 23:27:22 UTC
mktorrent-1.0-4.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mktorrent'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mktorrent-1.0-4.el4

Comment 13 Fedora Update System 2010-04-26 23:28:23 UTC
mktorrent-1.0-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mktorrent'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mktorrent-1.0-4.el5

Comment 14 Fedora Update System 2010-04-27 02:12:12 UTC
mktorrent-1.0-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mktorrent'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mktorrent-1.0-4.fc12

Comment 15 Fedora Update System 2010-04-27 02:14:33 UTC
mktorrent-1.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mktorrent'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mktorrent-1.0-4.fc11

Comment 16 Fedora Update System 2010-05-11 19:39:37 UTC
mktorrent-1.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-11 19:43:52 UTC
mktorrent-1.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-05-12 01:51:44 UTC
mktorrent-1.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-05-12 01:52:38 UTC
mktorrent-1.0-4.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-05-12 12:22:17 UTC
mktorrent-1.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.